<?php
/************************************************
Register the sidebars and widgets.
Users can manually add new sidebars here.
Must also add new sidebars in sidebar.php.
************************************************/

/************************************************
Create sidebar names
************************************************/
	$op_sidebar_name = array(
		__('Sidebar Home','options'),
		__('Sidebar Single','options'),
		__('Sidebar Archive','options'),
		__('Sidebar Attachment','options'),
		__('Sidebar Page','options'),
		__('Sidebar Category','options'),
		__('Sidebar Tag','options'),
		__('Sidebar Search','options'),
		__('Sidebar Author','options'),
		__('Sidebar 404','options'),
	);

/************************************************
Widgets display for each sidebar's widget
************************************************/
	foreach($op_sidebar_name as $op_sidebar) :
		register_sidebar(array(
			'name' => $op_sidebar,
			'before_widget' => '<div class="menu">',
			'after_widget' => '</div>',
			'before_title' => '<h2 class="section-header">',
			'after_title' => '</h2>', ));
	endforeach;

/************************************************
Load advanced widgets
************************************************/
	require_all(TEMPLATEPATH . '/widgets/');

	widget_op_tabs_register();
	widget_op_recent_register();
	widget_op_gallery_stream_register();
	widget_op_video_register();
	widget_op_ads_register();
	widget_op_flickr_register();

/************************************************
Load all other widgets
************************************************/
	register_sidebar_widget(array(__('Custom A','options'), 'widgets'), 'widget_op_custom_a');
	register_sidebar_widget(array(__('Custom B','options'), 'widgets'), 'widget_op_custom_b');
	register_sidebar_widget(array(__('Subscribe','options'), 'widgets'), 'widget_op_subscribe');
	register_sidebar_widget(array(__('Tags Options','options'), 'widgets'), 'widget_op_tags');
?>