<?php
	$post_class = 'odd';
	$i = 1;
?>

<div id="excerpts" class="section">

<?php if(have_posts()) : while(have_posts()) : the_post(); ?>

	<div class="post <?php echo $post_class; ?>">

		<?php if($i == 1) : ?>
			<h2 class="section-header"><?php _e('Recent Posts','options'); ?></h2>
		<?php endif; ?>

		<?php echo get_the_image_link(array('Thumbnail'),'thumbnail'); ?>

		<h3>
			<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
		</h3>

		<p class="byline">
			<?php _e('By ','options'); ?> <?php the_author_posts_link(); ?> &bull; 
			<?php the_time(__('F j, Y','options')); ?> &bull; 
			<?php comments_popup_link(__('No Comments','options'), '1 '.__('Comment','options'), '% '.__('Comments','options')); ?>
			<?php edit_post_link('<span class="edit-post">'.__('[Edit]','options').'</span>', ' ', ''); ?>
		</p>

		<div class="entry">
			<?php the_excerpt(); ?>
		</div>
		
		<div class="post-meta-data">
			<p>
				<span class="categories"><?php _e('Categories: ','options'); ?> <?php the_category(', '); ?></span>
				<br />
				<span class="tags"><?php _e('Tags: ','options'); ?> <?php the_tags('', ', ', ''); ?></span>
			</p>
		</div>
	</div>

	<?php
		if('odd' == $post_class) $post_class = 'even';
		else $post_class == 'odd';
		$i++;
	?>

	<?php endwhile; ?>

	<div class="navigation-links section">
		<?php posts_nav_link('',
			'<span class="previous">&laquo; '.__('Previous Page','options').'</span>',
			'<span class="next">'.__('Next Page','options').' &raquo;</span>'
		); ?>
	</div>

<?php else: ?>

	<p><?php _e('Sorry, no posts matched your criteria.','options'); ?></p>

<?php endif; wp_reset_query(); ?>

</div>