<?php
// User-defined variables
	$tag_name = 'gallery';
	$cat_name = false;
	$images_wanted = 6; // Divisible by 6 is best
// Set the query
	rewind_posts();
	if($cat_name == true) $query_var = cleaner_query('category',$cat_name);
	elseif($tag_name == true) $query_var = cleaner_query('tag',$tag_name);
	query_posts("$query_var&showposts=1");
?>

<div id="gallery-stream" class="gallery-stream section">

	<?php if(have_posts()) : while(have_posts()) : the_post(); global $post; ?>

		<h2 class="section-header">
			<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
		</h2>

		<div>

		<?php
		// Get image attachments
	$attachments = get_children("post_parent=$post->ID&post_type=attachment&post_mime_type=image&orderby=\"menu_order ASC, ID ASC\"&numberposts=$images_wanted");


		// Get each attachment image and link to attachment page
			foreach($attachments as $id => $attachment) :
				$att_page = get_attachment_link($id);
				echo wp_get_attachment_link($id, 'thumbnail', true);
			endforeach;
		?>

		</div>

	<?php endwhile; ?>

<?php else: ?>

	<p><?php _e('Sorry, no posts matched your criteria.','options'); ?></p>

<?php endif; wp_reset_query(); ?>

</div>