<?php
// User-defined variables
	$posts_wanted = 6; // Number of posts per tab
// File variables
	$type = choose_tab_type();
	$j = 1;
?>

<div id="post-list-tabs" class="section">
	<div class="tabbed">

		<ul class="tabs">
			<?php tabs_loop($op_type_arr, $type); ?>
		</ul>

<?php
	foreach($op_type_arr as $key => $value) :
	if($value == true) :
		$query_var = clean_query($type, $value);
		query_posts("$query_var&showposts=$posts_wanted");
		$i = 1;
?>

	<div class="c c<?php echo $j; ?> tab-content">

		<?php if(have_posts()) : while(have_posts()) : the_post(); ?>
		<?php if($i == 1) : ?>

			<div class="post odd">

				<?php echo get_the_image_link(array('Thumbnail'), 'thumbnail'); ?>

				<h3 class="post-title">
					<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
				</h3>

				<div class="entry">
					<?php the_excerpt(); ?>
				</div>
			</div>

		<?php elseif($i > 1) : ?>
			<?php if($i == 2) : ?>
				<div class="post even">
					<h3 class="post-title">
						<?php
							if($type == __('Authors','options')) _e('Other posts by','options');
							else _e('Other posts in ','options');
						?> 
						<?php
							if($type == __('Authors','options')) $value = op_author_display_name($value);
							$value = str_replace("&","&amp;",$value);
							echo $value;
						?>
					</h3>
					<ul>
			<?php endif; ?>
					<li>
					<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
					</li>
		<?php endif; $i++; ?>

		<?php endwhile; if($i > 2) echo '</ul></div>'; endif; ?>

	</div>
	<?php endif; $i = 1; $j++; endforeach; wp_reset_query(); ?>
</div>
</div>