<?php
/***************************=== Advanced User Functions ===********************************/

/***********************************************************
* op_main_javascript() - loads Options theme JavaScript
***********************************************************/
function op_main_javascript() {
	$dir = get_bloginfo('template_directory');
	wp_enqueue_script('options_js', $dir .'/js/options.js', array('jquery'), '1.2');
}

/***********************************************************
* op_smooth_gallery_javascript - loads Smooth Gallery JavaScript.
***********************************************************/
function op_smooth_gallery_javascript() {
	$dir = get_bloginfo('template_directory');
	wp_enqueue_script('mootools', $dir .'/js/mootools.js', false, '1.1.1');
	wp_enqueue_script('smooth_gallery', $dir .'/js/jd.gallery.js', array('mootools'), '2.0');
	wp_enqueue_script('smooth_transitions', $dir .'/js/jd.gallery.transitions.js', array('mootools'), '2.0');
}

/***********************************************************
* op_secondary_javascript - loads extra JavaScript
***********************************************************/
function op_secondary_javascript() {
// Theme directory
	$dir = get_bloginfo('template_directory');

	/*
	* Example
	* array is for any JavaScript that needs to be loaded for your file to work
	* $dir is the Options theme directory
		wp_enqueue_script('js_file_name',$dir,'/path/in/theme/files.js', array('jquery'), '1.0');
	*/
}

/***********************************************************
* op_extra_stylesheets() - loads extra stylesheets.
***********************************************************/
function op_extra_stylesheets() {
	$dir = get_bloginfo('template_directory');

	/*
	* Example
	* You can add extra stylesheets that are needed
	* $dir is the Options theme directory
		?>
		<link rel='stylesheet' href='<?php echo $dir; ?>/js/css/slimbox.css' type='text/css' media='screen' />
		<?php
	*/
}

/***********************************************************
* op_smooth_gallery_css() - loads the Smooth Gallery CSS.
***********************************************************/
function op_smooth_gallery_css() {
	$dir = get_bloginfo('template_directory'); ?>
<link rel='stylesheet' href='<?php echo $dir; ?>/js/css/slideshow.css' type='text/css' media='screen' />
<?php }
?>