<?php
function mytheme_admin() {
	$op_settings = op_options_theme_settings();
	$themename = $op_settings['theme_name'];
	$shortname = $op_settings['short_name'];
	$options = $op_settings['options'];

	if($_REQUEST['saved']) {
		echo "<div id='message' class='updated fade'><p><strong>$themename "; _e('Settings saved.','options'); echo '</strong></p></div>';
	}
	if($_REQUEST['reset']) {
		echo "<div id='message' class='updated fade'><p><strong>$themename "; _e('Settings reset.','options'); echo '</strong></p></div>';
	}
?>

<div class="wrap">
<h2><?php echo $themename; _e(' settings','options'); ?></h2>
<p><?php _e('Need help with this page?  See the','options'); ?> <a href="http://justintadlock.com/wordpress/options" title="<?php _e('Options theme documentation','options'); ?>"><?php _e('Options theme documentation','options'); ?>.</a></p>

<form method="post">
<table class="optiontable">
<?php foreach ($options as $value) { 
	if ($value['type'] == "text") { ?>
		<tr valign="top"> 
		<th scope="row"><?php echo $value['name']; ?>:</th>
		<td>
		<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
		</td>
		</tr>
	<?php }
	elseif ($value['type'] == "select") { ?>
		<tr valign="top"> 
		<th scope="row"><?php echo $value['name']; ?>:</th>
		<td>
		<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
		<?php foreach ($value['options'] as $option) { ?>
			<option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
		<?php } ?>
		</select>
		</td>
		</tr>
	<?php } 
} // End foreach ?>
</table>

<p class="submit"><input name="save" type="submit" value="<?php _e('Save changes','options'); ?>" /><input type="hidden" name="action" value="save" /></p>
</form>
<form method="post">
<p class="submit"><input name="reset" type="submit" value="<?php _e('Reset','options'); ?>" /><input type="hidden" name="action" value="reset" /></p>
</form>
</div>

<?php } // End function mytheme_admin()
?>