<?php /*
Template Name: Archives
*/
get_header(); ?>

<?php if(have_posts()) : while(have_posts()) : the_post(); ?>

	<div class="post">
		<h2 class="post-title">
			<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
		</h2>

		<div class="entry">
			<?php the_content(); ?>

			<?php
				if(function_exists('smartArchives')) :
					smartArchives('both','');
				elseif(function_exists('srg_clean_archives')) :
					srg_clean_archives();
				else :
					echo '<ul>'; wp_get_archives('type=monthly'); echo '</ul>';
				endif;
			?>
		</div>

		<div class="post-meta-data">
			<?php edit_post_link('<span class="edit-post">'.__('[Edit]','options').'</span>', '<p>','</p>'); ?>
		</div>

	</div>

	<?php comments_template(); ?>

	<?php endwhile; ?>

<?php else: ?>

	<p><?php _e('Sorry, no posts matched your criteria.','options'); ?></p>

<?php endif; ?>

<?php get_footer(); ?>